libnet-irc-perl_0.79-1_all.deb


Advertisement

Description

libnet-irc-perl - IRC (Internet Relay Chat) interface module for Perl

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libnet-irc-perl
Package version: 0.79
Package release: 1
Package architecture: all
Package type: deb
Installed size: 210 B
Download size: 67.25 KB
Official Mirror: ftp.br.debian.org
This package contains an interface to write programs that connect to the IRC (Internet Relay Chat) protocol. Please note that this module is deprecated and no longer receives any maintenance whatsoever; for new projects, it is recommended that Bot::BasicBot or POE::Component::IRC be used instead.

Alternatives

Requires

    Download

    Source package: libnet-irc-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libnet-irc-perl deb package:
      # sudo apt-get install libnet-irc-perl

    Files

    • /usr/share/doc/libnet-irc-perl/README.gz
    • /usr/share/doc/libnet-irc-perl/changelog.Debian.gz
    • /usr/share/doc/libnet-irc-perl/changelog.gz
    • /usr/share/doc/libnet-irc-perl/copyright
    • /usr/share/doc/libnet-irc-perl/examples/irctest.gz
    • /usr/share/man/man3/Net::IRC.3pm.gz
    • /usr/share/man/man3/Net::IRC::Connection.3pm.gz
    • /usr/share/man/man3/Net::IRC::DCC.3pm.gz
    • /usr/share/man/man3/Net::IRC::Event.3pm.gz
    • /usr/share/perl5/Net/IRC.pm
    • /usr/share/perl5/Net/IRC/Connection.pm
    • /usr/share/perl5/Net/IRC/DCC.pm
    • /usr/share/perl5/Net/IRC/Event.pm
    • /usr/share/perl5/Net/IRC/EventQueue.pm
    • /usr/share/perl5/Net/IRC/EventQueue/Entry.pm

    Changelog

    2014-06-02 - Axel Beckert <abe@debian.org> libnet-irc-perl (0.79-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release + This package is now deprecated per upstream * Add myself to Uploaders * Standards-Version 3.8.3 (drop perl version dependency) * Bump compat level to 7, use new short debhelper rules format * Add .examples and .docs instead of overriding manually * Refresh all patches [ gregor herrmann ] * Add debian/README.source to document quilt usage, as required by Debian Policy since 3.8.0. * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). * Change my email address. [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ gregor herrmann ] * debian/rules: switch order of arguments to dh. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Axel Beckert ] * Switch to source format "3.0 (quilt)" + Drop "--with quilt" from debian/rules + Drop quilt build-dependency * Add patch to remove interactive question in Makefile.PL * No more install TODO, upstream no more ships such a file. * Bump debhelper compatibility to 8 + Update versioned debhelper build-dependency accordingly. * Bump Standards-Version to 3.9.5 (no further changes) * Change priority to extra due to its deprecated state. * Add myself to Uploaders.

    2008-01-24 - Damyan Ivanov <dmn@debian.org> libnet-irc-perl (0.75-8) unstable; urgency=low [ gregor herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Removed: XS- Vcs-Svn fields. * debian/rules: delete /usr/lib/perl5 only if it exists. [ Frank Lichtenheld ] * debian/rules: Fix target dependencies to allow building with dpkg- buildpackage -j. Found by Daniel Schepler. [ Rene Mayorga ] * debian/control + wrap Uploaders field + Set Standards-version to 3.7.3 (no changes needed) + raise debhelper to 6 + Add ${misc:Depends} to Depends * debian/watch - Improved * debian/copyright + Add Upstream URL + converting to new format and adding copyright note for other authors [ Damyan Ivanov ] * convert patches to quilt * debian/rules: + split install(-stamp) target + use DESTDIR and PREFIX when installing + install TODO too * debian/copyright: add copyright/licensing terms for the packaging * add myself to Uploaders

    2007-09-16 - Niko Tyni <ntyni@iki.fi> libnet-irc-perl (0.75-7) unstable; urgency=low * debian/patches/50fix_next_outside_loop_with_return.dpatch: fix subroutine exit via 'next'. Thanks to David Sobon. (Closes: #437474) * debian/patches/60warnings_from_unknown_event.dpatch: fix warnings from unknown response codes. Thanks to David Sobon. (See #437474) * Update to debhelper compatibility level 5.

    2006-10-01 - gregor herrmann <gregor+debian@comodo.priv.at> libnet-irc-perl (0.75-6) unstable; urgency=low * Use $(CURDIR) [make] instead of $(PWD) [sh] to fix issues with sudo. * Set Standards-Version to 3.7.2 (no changes). * Remove empty /usr/lib/perl5 directory.

    2006-01-14 - Niko Tyni <ntyni@iki.fi> libnet-irc-perl (0.75-5) unstable; urgency=low * Migrate to dpatch. * Add myself to Uploaders. * Move debhelper from Build-Depends-Indep to Build-Depends, as per policy. * Upgrade to Standards-Version 3.6.2. No changes needed. * Don't ignore the return value of 'make test'. * debian/patches/40handler.pm: + only call handler() if the object supports it. (Closes: #303400)

    Advertisement
    Advertisement